<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Redirect;
use Mail;
use Dompdf\Dompdf;
use App\PDF;
use App\Participante;

ini_set("memory_limit","-1");
class GenerarController extends Controller
{
    
    public function Generar(Request $request){
        
    $idparticipante=$request->idparticipante;
    // $idparticipante=2;
    if($idparticipante != null || $idparticipante !=""){
         
    $buscarpdf=PDF::where('idparticipante', '=', $idparticipante)->first();
    if(sizeof($buscarpdf)>0){
         $view = $buscarpdf->html;
         
         $pdf = \App::make('dompdf.wrapper');
    $pdf->loadHTML($view)->setPaper('Letter', 'Portrait');
    $pdf->getDomPDF()->set_option("enable_php", true);
    $random=rand(1, 10);
    $pdf->save(public_path()."/pdf"."/".'reporte'.$idparticipante.".pdf");
   $data=array();
    $emails=$request->correo;
      $ruta =public_path()."/pdf"."/".'reporte'.$idparticipante.".pdf";
    Mail::send('emails.reporte', $data, function($msj) use ($ruta, $emails){
      $msj->subject('Sistemex-Diagnóstico');
     $msj->to($emails);
      $msj->attach($ruta);
});

     
      return  response()->json('true',200);
    //return  $pdf->stream('reporte'.".pdf");
        
    }else{
            $ch = curl_init();
    $urlempresa=$request->urlempresa;
    //$urlempresa='sistemex.com';
    curl_setopt($ch, CURLOPT_URL,"https://quiz.sistemex.com/seopanel/pagespeed.php");

    curl_setopt($ch, CURLOPT_POST, TRUE);
    curl_setopt($ch, CURLOPT_POSTFIELDS, "website_urls=$urlempresa");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $remote_server_output = curl_exec ($ch);
    curl_close ($ch);
    $json=json_decode($remote_server_output, true);	
 
    $view = view('reporte')->with('json', $json)->render();
        

    $pdf = \App::make('dompdf.wrapper');
    $pdf->loadHTML($view)->setPaper('Letter', 'Portrait');
    $pdf->getDomPDF()->set_option("enable_php", true);
    $random=rand(1, 10);
    $pdf->save(public_path()."/pdf"."/".'reporte'.$idparticipante.".pdf"); //guardar el pdf en la carpeta public, en ese caso se esta guardando en public/pdf/
    $data=array();
    $emails=$request->correo;
    $ruta =public_path()."/pdf"."/".'reporte'.$request->idparticipante.".pdf";
    Mail::send('emails.reporte', $data, function($msj) use ($ruta, $emails){
      $msj->subject('Sistemex-Diagnóstico');
     $msj->to($emails);
      $msj->attach($ruta);
});

    
    $savepdf= new PDF;
    $savepdf->html=$view;
    $savepdf->idparticipante=$idparticipante;
    $savepdf->save();


     //return $pdf->download('productividadnutriologos'.".pdf"); //Permite descargar el pdf
    //return  $pdf->stream('reporte'.".pdf");
    return  response()->json('true',200);
    
    
    //return view('reporte')->with('json', $json);
    }  
    }
    
    else{
      return Redirect::to('https://quiz.sistemex.com/'); 
    }
    
        
     


    }
    
     public function EnviarCorreo(Request $request){
        
    $idparticipante=$request->idparticipante;
    $participante=Participante::where('id', '=', $idparticipante)->first();
    
    if($idparticipante != null || $idparticipante !=""){
         
    $buscarpdf=PDF::where('idparticipante', '=', $idparticipante)->first();
    if(sizeof($buscarpdf)>0){
         $view = $buscarpdf->html;
         
         $pdf = \App::make('dompdf.wrapper');
    $pdf->loadHTML($view)->setPaper('Letter', 'Portrait');
    $pdf->getDomPDF()->set_option("enable_php", true);
    $random=rand(1, 10);
    $pdf->save(public_path()."/pdf"."/".'reporte'.$idparticipante.".pdf");
   $data=array();
    $emails=$request->correo;
      $ruta =public_path()."/pdf"."/".'reporte'.$idparticipante.".pdf";
    Mail::send('emails.reporte', $data, function($msj) use ($ruta, $emails){
      $msj->subject('Sistemex-Diagnóstico');
     $msj->to($emails);
      $msj->attach($ruta);
});

     
      return  response()->json('true',200);
    //return  $pdf->stream('reporte'.".pdf");
        
    }else{
            $ch = curl_init();
    $urlempresa=$request->urlempresa;
    //$urlempresa='sistemex.com';
    curl_setopt($ch, CURLOPT_URL,"https://quiz.sistemex.com/seopanel/pagespeed.php");

    curl_setopt($ch, CURLOPT_POST, TRUE);
    curl_setopt($ch, CURLOPT_POSTFIELDS, "website_urls=$urlempresa");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $remote_server_output = curl_exec ($ch);
    curl_close ($ch);
    $json=json_decode($remote_server_output, true);	
 
    $view = view('reporte')->with('json', $json)->render();
        

    $pdf = \App::make('dompdf.wrapper');
    $pdf->loadHTML($view)->setPaper('Letter', 'Portrait');
    $pdf->getDomPDF()->set_option("enable_php", true);
    $random=rand(1, 10);
    $pdf->save(public_path()."/pdf"."/".'reporte'.$idparticipante.".pdf"); //guardar el pdf en la carpeta public, en ese caso se esta guardando en public/pdf/
    $data=array();
    $emails=$request->correo;
    $ruta =public_path()."/pdf"."/".'reporte'.$request->idparticipante.".pdf";
    Mail::send('emails.reporte', $data, function($msj) use ($ruta, $emails){
      $msj->subject('Sistemex-Diagnóstico');
     $msj->to($emails);
      $msj->attach($ruta);
});

    
    $savepdf= new PDF;
    $savepdf->html=$view;
    $savepdf->idparticipante=$idparticipante;
    $savepdf->save();


     //return $pdf->download('productividadnutriologos'.".pdf"); //Permite descargar el pdf
    //return  $pdf->stream('reporte'.".pdf");
    return  response()->json('true',200);
    
    
    //return view('reporte')->with('json', $json);
    }  
    }
    
    else{
      return Redirect::to('https://quiz.sistemex.com/'); 
    }
    
        
     


    }

    
}